%define languageenglazy Swedish
%define languagecode    sv
%define lc_ctype        sv_SE

Name:           hunspell-%{languagecode}
Version:        2.10
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3
Group:          System/Internationalization
URL:            http://dsso.se/
Source0:        http://dsso.googlecode.com/files/sv-%{version}.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-sv
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-sv_FI = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-sv_FI = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{_datadir}/hunspell
find . -name "*.dic" -exec install -D -m 0644 -p {} %{buildroot}%{_datadir}/hunspell \;
find . -name "*.aff" -exec install -D -m 0644 -p {} %{buildroot}%{_datadir}/hunspell \;

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    ln -s ../hunspell/sv_FI.dic sv_FI.dic
    ln -s ../hunspell/sv_FI.aff sv_FI.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.10-3.mga4
+ Revision: 505786
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.10-2.mga3
+ Revision: 353735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 kamil <kamil> 2.10-1.mga3
+ Revision: 344060
- sync version with Fedora: upgrade to 2.10
- new License: LGPLv3
- update Source0
- upstream provides now sv_FI dicts
- update %%doc in %%files

* Wed Jan 09 2013 kamil <kamil> 1.44-6.mga3
+ Revision: 344042
- stop installing language aliases

* Tue Mar 20 2012 kamil <kamil> 1.44-5.mga2
+ Revision: 224857
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 1.44-4.mga2
+ Revision: 209106
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1.44-2.mga1
+ Revision: 69124
- imported package hunspell-sv


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 11 2010 Caolán McNamara <caolanm@redhat.com> - 1.44-1
- latest version

* Mon Jul 05 2010 Caolán McNamara <caolanm@redhat.com> - 1.43-1
- latest version

* Wed Apr 07 2010 Caolán McNamara <caolanm@redhat.com> - 1.42-2
- clarify licence

* Tue Feb 02 2010 Caolán McNamara <caolanm@redhat.com> - 1.42-1
- latest version

* Thu Jan 14 2010 Caolán McNamara <caolanm@redhat.com> - 1.41-1
- latest version

* Tue Nov 17 2009 Caolán McNamara <caolanm@redhat.com> - 1.40-2
- prefer .zip

* Tue Nov 03 2009 Caolán McNamara <caolanm@redhat.com> - 1.40-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Caolán McNamara <caolanm@redhat.com> - 1.39-1
- latest version

* Thu Jun 04 2009 Caolán McNamara <caolanm@redhat.com> - 1.38-1
- latest version

* Mon Jun 01 2009 Caolán McNamara <caolanm@redhat.com> - 1.37-1
- latest version

* Tue May 26 2009 Caolán McNamara <caolanm@redhat.com> - 1.35-1
- latest version

* Fri May 22 2009 Caolán McNamara <caolanm@redhat.com> - 1.33-1
- latest version

* Tue May 19 2009 Caolán McNamara <caolanm@redhat.com> - 1.32-1
- latest version

* Mon May 11 2009 Caolán McNamara <caolanm@redhat.com> - 1.31-1
- latest version

* Mon Apr 13 2009 Caolán McNamara <caolanm@redhat.com> - 1.30-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 23 2008 Caolán McNamara <caolanm@redhat.com> - 1.29-1
- latest version
`
* Tue Jun 17 2008 Caolán McNamara <caolanm@redhat.com> - 1.28-1
- latest version

* Wed May 28 2008 Caolán McNamara <caolanm@redhat.com> - 1.27-1
- latest version

* Thu May 13 2008 Caolán McNamara <caolanm@redhat.com> - 1.26-1
- latest version

* Thu Mar 13 2008 Caolán McNamara <caolanm@redhat.com> - 1.25-1
- latest version

* Wed Mar 05 2008 Caolán McNamara <caolanm@redhat.com> - 1.23-1
- latest version

* Fri Aug 03 2007 Caolán McNamara <caolanm@redhat.com> - 1.22-2
- clarify license version

* Fri Jul 06 2007 Caolán McNamara <caolanm@redhat.com> - 1.22-1
- move to dsso.se dictionaries

* Fri Jul 06 2007 Caolán McNamara <caolanm@redhat.com> - 1.3.8.6b-1
- latest version

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 1.3.8.6-1
- initial version
